=== debian/changelog ===
ocaml-sedlex (1.99.4-2) unstable; urgency=medium

  * Add ppx_tools_versioned-521.patch that fixes compatibility with
    ppx_tools_versioned 5.2.1.
  * Bump Standards-Version to 4.3.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Wed, 26 Dec 2018 15:48:38 +0800

ocaml-sedlex (1.99.4-1) unstable; urgency=low

  * Initial release. (Closes: #867238)

 -- Andy Li <andy@onthewings.net>  Mon, 06 Aug 2018 11:36:25 +0800
