=== debian/control ===
Source: ocaml-sedlex
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.3.0
Build-Depends:
 debhelper (>= 10~),
 ocaml-nox (>= 4.02.0),
 libgen-ocaml-dev,
 libppx-tools-versioned-ocaml-dev,
 ocaml-findlib,
 dh-ocaml
Homepage: https://github.com/alainfrisch/sedlex
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git

Package: libsedlex-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unicode-friendly lexer generator for OCaml (Runtime library)
 A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
 Contrary to ocamllex, lexer specifications for sedlex are embedded in regular
 OCaml source files.

Package: libsedlex-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Unicode-friendly lexer generator for OCaml (Development package)
 A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
 Contrary to ocamllex, lexer specifications for sedlex are embedded in regular
 OCaml source files.
