=== debian/tests/control ===
Tests: test-examples
Depends: ocaml-nox, ocaml-findlib, @
