## ocaml-sedlex 2.1

=== debian/changelog ===
ocaml-sedlex (2.1-5) unstable; urgency=high

  * Team upload
  * Tighten the dependency to ocaml-dune

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Feb 2020 07:19:22 +0100

ocaml-sedlex (2.1-4) unstable; urgency=medium

  * Team upload
  * Fix autopkgtests with dune 2.1.3

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jan 2020 07:19:05 +0100

ocaml-sedlex (2.1-3) unstable; urgency=medium

  * Rebuild against ocaml-gen (for armhf).

 -- Andy Li <andy@onthewings.net>  Tue, 12 Nov 2019 10:31:55 +0800

ocaml-sedlex (2.1-2) unstable; urgency=medium

  * Remove dependency on uchar. (#944404)

 -- Andy Li <andy@onthewings.net>  Sun, 10 Nov 2019 10:02:09 +0800

ocaml-sedlex (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Remove ppx_tools_versioned-521.patch, which is no longer needed.
  * Bump Standards-Version to 4.4.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 03 Nov 2019 09:42:00 +0800
