=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  debhelper (>= 10~),
  ocaml-nox (>= 4.02.0),
+ ocaml-dune (>= 2),
  libgen-ocaml-dev,
  libppx-tools-versioned-ocaml-dev,
  ocaml-findlib,
@@ -37,6 +38,8 @@
  ${ocaml:Depends}
 Provides:
  ${ocaml:Provides}
+Breaks:
+ ocaml-dune (<< 2)
 Recommends: ocaml-findlib
 Description: Unicode-friendly lexer generator for OCaml (Development package)
  A lexer generator for OCaml, similar to ocamllex, but supporting Unicode.
