=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build -p sedlex --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/META
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/dune-package
	sed -i 's/"uchar"//g' $(OCAMLFIND_DESTDIR)/sedlex/opam

override_dh_auto_test:
	dune build @runtest -p sedlex --verbose

# -lib is not available in the ocamldoc version as of writing (4.05)
override_dh_ocamldoc:
	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"

override_dh_missing:
	dh_missing --fail-missing
