## ocaml-sedlex 2.2

=== debian/changelog ===
ocaml-sedlex (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 28 Jul 2020 11:48:14 +0200
