=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10~),
- ocaml-nox (>= 4.02.0),
+ debhelper-compat (= 13),
+ ocaml-nox,
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
- libppx-tools-versioned-ocaml-dev,
+ libppx-tools-versioned-ocaml-dev (>= 5.2.3),
  ocaml-findlib,
  dh-ocaml
 Homepage: https://github.com/alainfrisch/sedlex
