=== debian/rules ===
--- 
+++ 
@@ -25,5 +25,4 @@
 override_dh_ocamldoc:
 	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:
