=== debian/watch ===
version=3
https://github.com/alainfrisch/sedlex/releases .*/archive/v(\d\S*)\.tar\.gz
