## ocaml-sedlex 2.5

=== debian/changelog ===
ocaml-sedlex (2.5-2) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jan 2022 15:24:44 +0100

ocaml-sedlex (2.5-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Edward Betts ]
  * Upstream GitHub repo has moved, update URL.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 05:51:37 +0100
