=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
- libppx-tools-versioned-ocaml-dev (>= 5.2.3),
+ libppxlib-ocaml-dev (>= 0.18.0),
  ocaml-findlib,
  dh-ocaml
-Homepage: https://github.com/alainfrisch/sedlex
+Homepage: https://github.com/ocaml-community/sedlex
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git
