=== debian/watch ===
version=4
https://github.com/ocaml-community/sedlex/releases .*/v?(\d\S*)\.tar\.gz
