## ocaml-sedlex 3.0

=== debian/changelog ===
ocaml-sedlex (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix d/watch.
  * Bump Standards-Version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Oct 2022 08:28:27 +0200
