=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,3 @@
 
 override_dh_auto_test:
 	dune build @runtest -p sedlex --verbose
-
-# -lib is not available in the ocamldoc version as of writing (4.05)
-override_dh_ocamldoc:
-	[ ! "$$(ocamldoc --version)" \< "4.08.0" ] && dh_ocamldoc || echo "skip doc generation"
-
-override_dh_dwz:
