## ocaml-sedlex 3.2

=== debian/changelog ===
ocaml-sedlex (3.2-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 16:32:26 +0100

ocaml-sedlex (3.2-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 15:56:26 +0100

ocaml-sedlex (3.2-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 09:03:48 +0100

ocaml-sedlex (3.2-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 08:05:06 +0100

ocaml-sedlex (3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Oct 2023 14:46:26 +0200

ocaml-sedlex (3.0-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:38:41 +0200

ocaml-sedlex (3.0-2) unstable; urgency=medium

  * Team upload.
  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:11:48 +0200
