=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,8 +11,13 @@
  ocaml-dune (>= 2),
  libgen-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.18.0),
+ libppx-expect-ocaml-dev <!nocheck>,
+ libppx-hash-ocaml-dev <!nocheck>,
+ libppx-enumerate-ocaml-dev <!nocheck>,
+ libppx-sexp-conv-ocaml-dev <!nocheck>,
+ libjane-street-headers-ocaml-dev <!nocheck>,
  ocaml-findlib,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Homepage: https://github.com/ocaml-community/sedlex
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-sedlex
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-sedlex.git
