## ocaml-sedlex 3.3

=== debian/changelog ===
ocaml-sedlex (3.3-2build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:58:12 +0100

ocaml-sedlex (3.3-2build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 23:15:57 +0100

ocaml-sedlex (3.3-2build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:18:57 +0100

ocaml-sedlex (3.3-2) unstable; urgency=medium

  * Team upload
  * Set minimum version of ocaml-dune in autopkgtests

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Jan 2025 07:35:34 +0100

ocaml-sedlex (3.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 17:34:03 +0100
