## ocaml-sedlex 3.4

=== debian/changelog ===
ocaml-sedlex (3.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 08:22:11 +0200
