=== debian/watch ===
version=4
https://github.com/ocaml-community/sedlex/tags .*/v?(\d\S*)\.tar\.gz
