## ocaml-sedlex 3.6

=== debian/changelog ===
ocaml-sedlex (3.6-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Aug 2025 15:00:00 +0200

ocaml-sedlex (3.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:19:22 +0200
