=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

execute_after_dh_auto_install:
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/META
	sed -i 's/uchar//g' $(OCAMLFIND_DESTDIR)/sedlex/dune-package
	sed -i 's/"uchar"//g' $(OCAMLFIND_DESTDIR)/sedlex/opam
