=== debian/changelog ===
ocaml-sedlex (3.7-1build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Oct 2025 14:46:20 +0200

ocaml-sedlex (3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch debian/watch to version 5
  * Bump Standards-Version to 4.7.2
  * Remove Rules-Requires-Root

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Oct 2025 09:32:57 +0200
