=== debian/watch ===
Version: 5

Source: https://github.com/ocaml-community/sedlex/tags
Matching-Pattern: .*/@ANY_VERSION@\.tar\.gz
